### 5.1.1 align

`Syntax:`
  `align (` vector_expression, int_expression `)`
  `align (` module_expression, int_expression `)`
`Type:`
  type of the first argument
`Purpose:`
  maps module generators `gen(i)` to `gen(i+s)` for all i.
`Example:`

        ring r=0,(x,y,z),(c,dp);
        align([1,2,3],3);
      ==> [0,0,0,1,2,3]
        align([0,0,1,2,3],-1);
      ==> [0,1,2,3]
        align(freemodule(2),1);
      ==> _[1]=[0,1]
      ==> _[2]=[0,0,1]

User manual for Singular version 4.4.1, 2025, generated by texi2html.